Fs = 32000; % Sampling rate of signal
Fc = 500; % Carrier frequency
%t = [0:Fs-1]'/Fs; % Sampling times
%t = 0:0.0001:1;
t = [0:Fs-1]'/Fs; % Sampling times
mod_sig = 2*sin(2*pi*4*t); % Channel 1
dev = 80; % Frequency deviation in modulated signal
FMdemod_in = fmmod(mod_sig,Fc,Fs,dev); % Modulate both channels.
FMdemod_out= fm_demod(FMdemod_in,Fc,Fs); 
hold on;

plot(t, mod_sig,'r');
plot(t, FMdemod_in,'b');
plot(t, FMdemod_out,'g');
legend('mod_s_i_g','FMdemod_i_n','FMdemod_o_u_t');
axis([0 1 -3 3]);